<?php declare(strict_types=1);

namespace BitBadger\PDODocument;

/**
 * Common configuration for the document library
 */
class Configuration
{
    /** @var string The name of the ID field used in the database (will be treated as the primary key) */
    private static string $_idField = 'id';

    /**
     * Configure the ID field used by the library
     *
     * @param string $name The name of the ID field within each document
     */
    public static function useIdField(string $name): void
    {
        self::$_idField = $name;
    }

    /**
     * Retrieve the ID field for documents within this library
     *
     * @return string The configured ID field
     */
    public static function idField(): string
    {
        return self::$_idField;
    }
}
